/* ***************** Global Variables *************** */
:root {
  --main-color: #c0392b;
  --body-bg: #181616;
  --box-bg: #221f1f;
  --text-color: #ffffff;
  --black: #000;
  --nav-height: 60px;
  --hamburger-size: 30px;
  --space-top: 30px;
}

/* ***************** Reset CSS *************** */
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  font-size: 16px;
}

body {
  font-family: "Cairo", sans-serif;
  background-color: var(--body-bg);
  color: var(--text-color);
  padding-top: var(--nav-height);
}

a {
  text-decoration: none;
  color: unset;
}

li {
  list-style: none;
}

img {
  max-width: 100%;
}

.main-color {
  color: var(--main-color);
}

/* ***************** Container *************** */
.container {
  max-width: 1920px;
  padding: 0 40px;
  margin: auto;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
}

/* ***************** NAVBAR *************** */
.nav-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 99;
  background-color: #000;
}

.nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: var(--text-color);
  height: var(--nav-height);
}

.nav a {
  color: var(--text-color);
}

.logo {
  font-size: 2rem;
  font-weight: 900;
}

.nav-menu {
  display: flex;
  align-items: center;
  gap: 2rem;
}

.nav-menu a {
  text-transform: uppercase;
  font-weight: 700;
}

.nav-menu a:hover {
  color: var(--main-color);
}

.nav-menu a.btn:hover,
.nav-menu a.btn:hover {
  color: unset;
}

.btn {
  color: var(--text-color);
  padding: 0.25rem 1.5rem;
  text-transform: uppercase;
  font-size: 1.25rem;
  font-weight: 700;
  display: inline-flex;
  position: relative;
  align-items: center;
}

.btn-hover::before {
  position: absolute;
  content: "";
  z-index: 1;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background-color: var(--main-color);
  transition: all 0.3s ease-in-out;
}

.btn-hover:hover::before {
  width: 100%;
}
.btn i,
.btn span {
  z-index: 1;
}

.btn i {
  margin-right: 1rem;
}
/* ***************** Hamburger Menu *************** */
.hamburger-menu {
  height: var(--hamburger-size);
  width: var(--hamburger-size);
  cursor: pointer;
  z-index: 101;
  position: relative;
  display: none;
  align-items: center;
}

.hamburger {
  position: relative;
}

.hamburger,
.hamburger::before,
.hamburger::after {
  width: var(--hamburger-size);
  height: 3px;
  border-radius: 0.5rem;
  background-color: var(--text-color);
  transition: transform 0.4s ease-in-out;
}

.hamburger::before,
.hamburger::after {
  content: "";
  position: absolute;
}

.hamburger::before {
  top: -10px;
}
.hamburger::after {
  bottom: -10px;
}

.hamburger-menu.active .hamburger {
  background-color: transparent;
}

.hamburger-menu.active .hamburger::before {
  transform-origin: top left;
  transform: rotate(45deg);
  left: 6px;
}
.hamburger-menu.active .hamburger::after {
  transform-origin: bottom left;
  transform: rotate(-45deg);
  left: 6px;
}

/* ***************** HERO SLIDE *************** */
.hero-slide-item {
  padding-top: 40%;
  position: relative;
  overflow: hidden;
}

.hero-slide-item img {
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

.hero-slide-item-content {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  color: var(--text-color);
  display: flex;
}

.item-content-wrapper {
  padding-left: 5rem;
  width: 40%;
  background-color: rgba(0, 0, 0, 0.8);
  display: flex;
  flex-direction: column;
  justify-content: center;
  position: relative;
}

.item-content-wrapper::before {
  content: "";
  position: absolute;
  top: 0;
  left: 100%;
  width: 50%;
  height: 100%;
  background: linear-gradient(to right, rgba(0, 0, 0, 0.8) rgb(0, 0, 0));
}

.item-content-title {
  font-size: 5rem;
  line-height: 5rem;
  font-weight: 900;
}

.movie-infos {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  margin-top: calc(var(--space-top) / 2);
  gap: 0.5rem;
}

.movie-info {
  display: flex;
  align-items: center;
  font-size: 0.8rem;
  font-weight: 600;
}

.movie-info span {
  margin-left: 5px;
}

.movie-info i {
  color: var(--main-color);
}

.item-content-description {
  font-size: 1.15rem;
  margin-top: var(--space-top);
  line-height: 1.5rem;
}

.item-action {
  margin-top: var(--space-top);
}

.carousel-nav-center {
  position: relative;
}

.carousel-nav-center .owl-nav button i {
  font-size: 3rem;
  background-color: rgba(0, 0, 0, 0.6);
  border-radius: 50%;
  transition: all 0.4s ease-in-out;
}

.carousel-nav-center .owl-nav button {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  border: none;
  outline: none;
}

.carousel-nav-center .owl-nav button:hover i {
  background-color: var(--text-color);
  color: var(--main-color);
}

.carousel-nav-center .owl-nav .owl-prev {
  position: absolute;
  left: 5px;
}
.carousel-nav-center .owl-nav .owl-next {
  position: absolute;
  right: 5px;
}

/* ********* Animate Next Prev Carousel ******* */
.top-down {
  transform: translateY(-50px);
  visibility: hidden;
  opacity: 0;
  transition: 0.6s ease-in-out;
}
.delay-2 {
  transition-delay: 0.2;
}
.delay-4 {
  transition-delay: 0.4;
}
.delay-6 {
  transition-delay: 0.6;
}

.owl-item.active .top-down {
  transform: translateY(0);
  visibility: visible;
  opacity: 1;
}

.movie-item {
  display: block;
  position: relative;
  overflow: hidden;
  padding-top: 140%;
  cursor: pointer;
}

.movie-item img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  transition: transform 0.3s linear;
}
.movie-item:hover img {
  transform: scale(1.2);
}

.movie-item-content {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 5px;
  background-color: rgba(0, 0, 0, 0.8);
}

.movie-item-content::before {
  content: "";
  position: absolute;
  bottom: 100%;
  left: 0;
  width: 100%;
  height: 100px;
  background: linear-gradient(to top, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0));
}

.movie-item-title {
  color: var(--text-color);
  font-size: 1.5rem;
  position: relative;
  font-weight: 700;
}

/* ***************** LASTEST MOVIES SECTION  *************** */
.section {
  padding-top: 80px;
}
.section-header {
  margin-bottom: 30px;
  padding-left: 20px;
  text-transform: uppercase;
  font-size: 1.5rem;
  font-weight: 700;
  border-left: 4px solid var(--main-color);
  display: flex;
  align-items: center;
}

/* ***************** PRICING SECTION *************** */
.pricing-header {
  margin-bottom: 30px;
  text-align: center;
  font-size: 2rem;
  font-weight: 700;
  text-transform: uppercase;
}

.pricing-box {
  padding: 50px;
  margin: 15px 0;
  background-color: var(--box-bg);
  border-top: 5px solid transparent;
  transition: transform 0.3s ease-in-out;
}

.pricing-box:hover {
  transform: translateY(-20px);
}

.pricing-box.highlight {
  border-top: 5px solid var(--main-color);
}

.pricing-box.highlight .pricing-box-header .pricing-name {
  font-weight: 900;
  font-size: 2rem;
}

.pricing-box-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 1.5rem;
}

.pricing-price {
  font-weight: 700;
}

.pricing-price span {
  font-size: 1rem;
}

.pricing-box-content {
  text-align: center;
  margin-top: 60px;
  font-size: 1.25rem;
}

.pricing-box-action {
  text-align: center;
  margin-top: 60px;
}

/* ***************** FOOTER SECTION *************** */
footer.section {
  margin-top: 80px;
  padding-bottom: 80px;
  position: relative;
  background-color: var(--box-bg);
}

footer a:hover {
  color: var(--main-color);
}

footer a.logo {
  margin-top: -2.5rem;
  display: block;
}

footer a.logo:hover {
  color: unset;
}

.social-list {
  display: flex;
  align-items: center;
  margin-top: 20px;
  gap: 20px;
}
.social-item {
  width: var(--hamburger-size);
  height: var(--hamburger-size);
  font-size: 20px;
  display: grid;
  place-items: center;
  border-radius: 50%;
  background-color: var(--text-color);
  color: var(--main-color);
  transition: all 0.3s ease-in-out;
}

.social-item:hover {
  background-color: var(--main-color);
  color: var(--text-color);
}

footer .content {
  margin-top: 20px;
}

.footer-menu a {
  display: inline-block;
  transition: transform 0.2s ease-in-out;
}

.footer-menu a:hover {
  transform: translateX(6px);
}

.copyright {
  padding: 10px;
  border-top: 2px solid var(--main-color);
  background-color: var(--body-bg);
  text-align: center;
}

/* ***************** RESPONSIVE *************** */
@media only screen and (max-width: 1280px) {
  html {
    font-size: 14px;
  }
  .hero-slide-item {
    padding-top: 50%;
  }

  .item-content-wrapper {
    width: 50%;
  }
}

@media only screen and (max-width: 850px) {
  html {
    font-size: 12px;
  }

  .hero-slide-item {
    height: max-content;
    padding-top: unset;
  }

  .hero-slide-item img {
    height: 100%;
  }

  .item-content-title {
    font-size: 3rem;
  }

  .item-content-wrapper {
    width: 100%;
    height: 100%;
    padding-bottom: 20px;
    padding-right: 5rem;
    background-color: rgba(0, 0, 0, 0.2);
  }

  .hero-slide-item-content {
    position: relative;
  }

  .hamburger-menu {
    display: grid;
  }
  .nav-menu {
    position: absolute;
    top: 100%;
    left: -100%;
    background-color: var(--black);
    flex-direction: column;
    gap: 1rem;
    width: 100%;
    height: 100vh;
    padding: 20px;
    transition: all 0.3s ease-in-out;
  }
  .nav-menu.active {
    left: 0;
  }
}
